Index: .gitignore
===================================================================
--- .gitignore	(revision 292b5601cbfceae7818fbdfdf1996da81d988ecd)
+++ .gitignore	(revision 292b5601cbfceae7818fbdfdf1996da81d988ecd)
@@ -6,3 +6,4 @@
 /TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
 *~
-
+/TibisayMovil/.classpath
+/TibisayMovil/gen/*
Index: TibisayMovil/.classpath
===================================================================
--- TibisayMovil/.classpath	(revision e68708b200db1b970f54b28dccea6c4cc20e8c85)
+++ TibisayMovil/.classpath	(revision 0d4fa206af09c06414922191a770ca027a9e7a4f)
@@ -1,31 +1,29 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
-	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
-	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.DEPENDENCIES"/>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="src" path="gen"/>
-	<classpathentry combineaccessrules="false" exported="true" kind="src" path="/droidText"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcmail-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcpg-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcpkix-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcprov-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/commons-compress-1.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/commons-codec-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/iaikPkcs11Wrapper.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/jdcerts.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/slf4j-api-1.7.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/slf4j-log4j12-1.7.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/jdigidoc/target/jdigidoc-3.7.0.459.jar"/>
-	<classpathentry exported="true" kind="lib" path="/usr/java/jdk1.7.0_21/jre/lib/security/local_policy.jar"/>
-	<classpathentry exported="true" kind="lib" path="/usr/java/jdk1.7.0_21/jre/lib/security/US_export_policy.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-client-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-core-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-json-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-multipart-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jettison-1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/sc-light-jdk15on-1.47.0.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/scpkix-jdk15on-1.47.0.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/scprov-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry kind="lib" path="/usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/security/local_policy.jar"/>
+	<classpathentry kind="lib" path="/usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/security/US_export_policy.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/sc-light-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-core-1.12.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jettison-1.1.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-multipart-1.12.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-client-1.12.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/scprov-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/scpkix-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jdigidoc-3.7.0.459.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/slf4j-log4j12-1.7.1.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/slf4j-api-1.7.1.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcpg-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jdcerts.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/iaikPkcs11Wrapper.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/commons-codec-1.6.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/commons-compress-1.3.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcprov-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcpkix-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcmail-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/android-support-v4.jar"/>
 	<classpathentry kind="output" path="bin/classes"/>
 </classpath>
Index: TibisayMovil/.project
===================================================================
--- TibisayMovil/.project	(revision a8ff2b63f0f40e5cc6ca1fe414bdea56b82b7508)
+++ TibisayMovil/.project	(revision 0d4fa206af09c06414922191a770ca027a9e7a4f)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>TibisayMovil</name>
+	<name>TibisayMovilActivity</name>
 	<comment></comment>
 	<projects>
Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 31cf7cff6998132c6f83438c3cb0431121d629eb)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 0d4fa206af09c06414922191a770ca027a9e7a4f)
@@ -360,72 +360,75 @@
     }
     public static final class string {
-        public static final int ERROR_CHAIN_RESULT=0x7f080032;
-        public static final int EXPIRED=0x7f080036;
-        public static final int GOOD_UNTRUSTED_RESULT=0x7f080033;
-        public static final int NOTYETVALID=0x7f080037;
-        public static final int REVOKED_RESULT=0x7f080034;
-        public static final int UNKNOWN_RESULT=0x7f080035;
+        public static final int ERROR_CHAIN_RESULT=0x7f080036;
+        public static final int EXPIRED=0x7f08003a;
+        public static final int GOOD_UNTRUSTED_RESULT=0x7f080037;
+        public static final int NOTYETVALID=0x7f08003b;
+        public static final int REVOKED_RESULT=0x7f080038;
+        public static final int UNKNOWN_RESULT=0x7f080039;
         public static final int action_settings=0x7f080001;
         public static final int app_name=0x7f080000;
-        public static final int back=0x7f08003e;
-        public static final int certificados=0x7f080064;
+        public static final int back=0x7f080042;
+        public static final int certificados=0x7f080068;
         public static final int certificate_data=0x7f080027;
-        public static final int certificate_description=0x7f080091;
-        public static final int certificate_dir_files=0x7f080092;
+        public static final int certificate_description=0x7f080095;
+        public static final int certificate_dir_files=0x7f080096;
         public static final int certificate_not_valid=0x7f080029;
         public static final int certificate_password=0x7f08000f;
-        public static final int certificate_to_load_description=0x7f08008c;
+        public static final int certificate_to_load_description=0x7f080090;
         public static final int certificate_valid=0x7f08002a;
         public static final int certificate_validation_failed=0x7f08002b;
         public static final int certificate_validation_not_connected=0x7f08002c;
         public static final int certificatedescription=0x7f080014;
-        public static final int certificates_dir=0x7f08006e;
+        public static final int certificates_dir=0x7f080072;
         public static final int certificates_menu=0x7f08001e;
         public static final int change_password=0x7f08000b;
         public static final int checking_certificate=0x7f08002d;
-        public static final int cifrar=0x7f080060;
-        public static final int compartir=0x7f080062;
-        public static final int compartir_b=0x7f080063;
+        public static final int cifrar=0x7f080064;
+        public static final int compartir=0x7f080066;
+        public static final int compartir_b=0x7f080067;
         public static final int confirmation=0x7f08000e;
         public static final int confirmationdescription=0x7f080018;
-        public static final int continuar=0x7f08005e;
-        public static final int decrypt_description=0x7f08009c;
-        public static final int decrypted_dir_files=0x7f08009f;
+        public static final int continuar=0x7f080062;
+        public static final int decrypt_description=0x7f0800a0;
+        public static final int decrypted_dir_files=0x7f0800a3;
         public static final int delete=0x7f08001d;
-        public static final int descifrar=0x7f080061;
-        public static final int downloaded_dir_files=0x7f08006d;
-        public static final int encrypt_description=0x7f08008f;
-        public static final int encrypted_dir_files=0x7f080093;
-        public static final int errorConnection=0x7f080042;
-        public static final int errorServerNotReachable=0x7f080041;
-        public static final int error_decrypting_file_index_out_of_bounds=0x7f0800a1;
+        public static final int descifrar=0x7f080065;
+        public static final int downloaded_dir_files=0x7f080071;
+        public static final int encrypt_description=0x7f080093;
+        public static final int encrypted_dir_files=0x7f080097;
+        public static final int errorConnection=0x7f080046;
+        public static final int errorServerNotReachable=0x7f080045;
+        public static final int error_decrypting_file_index_out_of_bounds=0x7f0800a5;
         public static final int error_empty_or_null_certificates=0x7f080024;
         public static final int error_keystore_file=0x7f080026;
-        public static final int error_lectura=0x7f080058;
+        public static final int error_lectura=0x7f08005c;
         public static final int error_no_space=0x7f080006;
         public static final int error_reading_p12=0x7f080011;
         public static final int error_unknown=0x7f080023;
-        public static final int errornoemail=0x7f080040;
+        public static final int errordimension=0x7f080034;
+        public static final int errorformat=0x7f080032;
+        public static final int errornoemail=0x7f080044;
+        public static final int errorsize=0x7f080033;
         public static final int external_dir=0x7f080015;
         public static final int external_dir_files=0x7f080016;
-        public static final int extracted_dir_files=0x7f08006c;
-        public static final int file_to_encrypt_description=0x7f08008e;
+        public static final int extracted_dir_files=0x7f080070;
+        public static final int file_to_encrypt_description=0x7f080092;
         public static final int files_to_sign=0x7f080031;
-        public static final int finalizar=0x7f08005d;
-        public static final int firma_guardada=0x7f080056;
-        public static final int firmar=0x7f080046;
-        public static final int firmar_abajo=0x7f08004f;
-        public static final int firmar_elec_pdf=0x7f08004a;
-        public static final int firmar_man_arch_firm=0x7f080050;
-        public static final int firmar_man_arch_para_firm=0x7f080051;
-        public static final int firmar_man_capt_img=0x7f08004c;
-        public static final int firmar_man_exist_img=0x7f08004d;
-        public static final int firmar_man_img_path=0x7f080052;
-        public static final int firmar_man_pdf=0x7f080047;
-        public static final int firmar_man_prefer_img=0x7f08004e;
-        public static final int firmar_man_seleccione_archivo=0x7f080048;
-        public static final int firmar_man_seleccione_img=0x7f080049;
-        public static final int firmar_man_ubicacion=0x7f080053;
-        public static final int firmar_pkcs7=0x7f08004b;
+        public static final int finalizar=0x7f080061;
+        public static final int firma_guardada=0x7f08005a;
+        public static final int firmar=0x7f08004a;
+        public static final int firmar_abajo=0x7f080053;
+        public static final int firmar_elec_pdf=0x7f08004e;
+        public static final int firmar_man_arch_firm=0x7f080054;
+        public static final int firmar_man_arch_para_firm=0x7f080055;
+        public static final int firmar_man_capt_img=0x7f080050;
+        public static final int firmar_man_exist_img=0x7f080051;
+        public static final int firmar_man_img_path=0x7f080056;
+        public static final int firmar_man_pdf=0x7f08004b;
+        public static final int firmar_man_prefer_img=0x7f080052;
+        public static final int firmar_man_seleccione_archivo=0x7f08004c;
+        public static final int firmar_man_seleccione_img=0x7f08004d;
+        public static final int firmar_man_ubicacion=0x7f080057;
+        public static final int firmar_pkcs7=0x7f08004f;
         public static final int hello_world=0x7f080002;
         public static final int incorrect_password=0x7f08000d;
@@ -437,30 +440,30 @@
         public static final int keystore_new_password=0x7f08000c;
         public static final int keystore_password=0x7f080005;
-        public static final int label_add_recipient_certificate=0x7f080089;
-        public static final int label_archivo_a_cifrar=0x7f080095;
-        public static final int label_archivo_a_descifrar=0x7f0800a4;
-        public static final int label_archivo_cifrado=0x7f080096;
-        public static final int label_archivo_descifrado=0x7f0800a5;
-        public static final int label_certificate_issuer=0x7f080078;
-        public static final int label_certificate_serial=0x7f080075;
-        public static final int label_certificate_to_remove=0x7f080088;
-        public static final int label_certificate_valid_from=0x7f080076;
-        public static final int label_certificate_valid_until=0x7f080077;
-        public static final int label_destinatario_cifrado=0x7f080097;
-        public static final int label_recipient_certificate=0x7f080087;
-        public static final int label_remove_recipient_certificate=0x7f08008a;
-        public static final int label_signature_errors=0x7f080079;
-        public static final int limpiar=0x7f08005b;
-        public static final int limpiar_seleccion=0x7f080055;
-        public static final int manage_certificates_for_encryption=0x7f080085;
-        public static final int manage_personal_certificates=0x7f080084;
+        public static final int label_add_recipient_certificate=0x7f08008d;
+        public static final int label_archivo_a_cifrar=0x7f080099;
+        public static final int label_archivo_a_descifrar=0x7f0800a8;
+        public static final int label_archivo_cifrado=0x7f08009a;
+        public static final int label_archivo_descifrado=0x7f0800a9;
+        public static final int label_certificate_issuer=0x7f08007c;
+        public static final int label_certificate_serial=0x7f080079;
+        public static final int label_certificate_to_remove=0x7f08008c;
+        public static final int label_certificate_valid_from=0x7f08007a;
+        public static final int label_certificate_valid_until=0x7f08007b;
+        public static final int label_destinatario_cifrado=0x7f08009b;
+        public static final int label_recipient_certificate=0x7f08008b;
+        public static final int label_remove_recipient_certificate=0x7f08008e;
+        public static final int label_signature_errors=0x7f08007d;
+        public static final int limpiar=0x7f08005f;
+        public static final int limpiar_seleccion=0x7f080059;
+        public static final int manage_certificates_for_encryption=0x7f080089;
+        public static final int manage_personal_certificates=0x7f080088;
         public static final int modified=0x7f08001a;
-        public static final int msg_encryption_error=0x7f080099;
-        public static final int msg_encryption_success=0x7f080098;
+        public static final int msg_encryption_error=0x7f08009d;
+        public static final int msg_encryption_success=0x7f08009c;
         public static final int no_access_to_keystore=0x7f080025;
-        public static final int no_storage=0x7f08003b;
-        public static final int nosignedfiles=0x7f08003a;
-        public static final int num_pagina_firmar=0x7f080057;
-        public static final int open_it_using=0x7f08006f;
+        public static final int no_storage=0x7f08003f;
+        public static final int nosignedfiles=0x7f08003e;
+        public static final int num_pagina_firmar=0x7f08005b;
+        public static final int open_it_using=0x7f080073;
         public static final int open_keychain=0x7f08001b;
         public static final int password=0x7f080008;
@@ -468,67 +471,68 @@
         public static final int pathstring=0x7f080017;
         public static final int pdf_embed_signature=0x7f080028;
-        public static final int pkcs12_to_decrypt_description=0x7f08009e;
-        public static final int por_favor_epsere=0x7f08005a;
+        public static final int pkcs12_to_decrypt_description=0x7f0800a2;
+        public static final int por_favor_epsere=0x7f08005e;
         public static final int preference_image=0x7f08001f;
+        public static final int preference_image_summary=0x7f080035;
         public static final int preference_position=0x7f080020;
         public static final int preference_position_summary=0x7f080021;
-        public static final int preferencias=0x7f080065;
+        public static final int preferencias=0x7f080069;
         public static final int recreate_keystore=0x7f080009;
         public static final int recreate_keystore_confirmation=0x7f08000a;
-        public static final int retroceder=0x7f08005c;
-        public static final int sel_sign_area=0x7f080054;
+        public static final int retroceder=0x7f080060;
+        public static final int sel_sign_area=0x7f080058;
         /**  Menu Principal 
          */
-        public static final int seleccione_opcion=0x7f080044;
-        public static final int seleccione_opcion_firmar_man_img=0x7f080045;
+        public static final int seleccione_opcion=0x7f080048;
+        public static final int seleccione_opcion_firmar_man_img=0x7f080049;
         public static final int selectall=0x7f08001c;
         public static final int selectcertificatedescription=0x7f080019;
         public static final int serial_number=0x7f08002f;
-        public static final int share=0x7f08003f;
-        public static final int share_bdoc_downloaded=0x7f080080;
-        public static final int share_description=0x7f080083;
-        public static final int share_encrypted=0x7f08009a;
-        public static final int share_extracted_file_from_bdoc=0x7f080081;
-        public static final int share_it_using=0x7f080070;
-        public static final int share_pdf_signed=0x7f08007f;
-        public static final int sign_status=0x7f08003c;
-        public static final int signature_date_info=0x7f080072;
+        public static final int share=0x7f080043;
+        public static final int share_bdoc_downloaded=0x7f080084;
+        public static final int share_description=0x7f080087;
+        public static final int share_encrypted=0x7f08009e;
+        public static final int share_extracted_file_from_bdoc=0x7f080085;
+        public static final int share_it_using=0x7f080074;
+        public static final int share_pdf_signed=0x7f080083;
+        public static final int sign_status=0x7f080040;
+        public static final int signature_date_info=0x7f080076;
         public static final int signature_directory=0x7f080007;
-        public static final int signedfiles=0x7f080039;
-        public static final int signing_files=0x7f08003d;
-        public static final int string_invalid_signature=0x7f08007c;
-        public static final int string_valid_signature=0x7f08007b;
+        public static final int signedfiles=0x7f08003d;
+        public static final int signing_files=0x7f080041;
+        public static final int string_invalid_signature=0x7f080080;
+        public static final int string_valid_signature=0x7f08007f;
         public static final int subject=0x7f08002e;
         public static final int text1=0x7f080003;
-        public static final int title_activity_activity_signature_errors=0x7f08007a;
-        public static final int title_activity_activity_signer_info=0x7f080074;
-        public static final int title_activity_bdocverify_result=0x7f08006b;
-        public static final int title_activity_certificate_to_load=0x7f08008b;
-        public static final int title_activity_decrypt_result=0x7f0800a2;
-        public static final int title_activity_decryption_result=0x7f0800a3;
-        public static final int title_activity_downloader=0x7f08007e;
-        public static final int title_activity_encryption_certificates=0x7f080086;
-        public static final int title_activity_encryption_result=0x7f080094;
-        public static final int title_activity_file_to_decrypt=0x7f08009b;
-        public static final int title_activity_file_to_encrypt=0x7f08008d;
-        public static final int title_activity_file_to_share=0x7f080082;
-        public static final int title_activity_pdfverify_result=0x7f0800a6;
-        public static final int title_activity_pkcs12_to_decrypt=0x7f08009d;
-        public static final int title_activity_select_certificate_to_encrypt=0x7f080090;
-        public static final int title_activity_tibisay_movil=0x7f08007d;
-        public static final int title_certificate_info=0x7f080073;
-        public static final int title_pkcs12_password=0x7f0800a0;
-        public static final int title_progress_file_read=0x7f080059;
-        public static final int title_signer_info=0x7f080071;
+        public static final int title_activity_activity_signature_errors=0x7f08007e;
+        public static final int title_activity_activity_signer_info=0x7f080078;
+        public static final int title_activity_bdocverify_result=0x7f08006f;
+        public static final int title_activity_certificate_to_load=0x7f08008f;
+        public static final int title_activity_decrypt_result=0x7f0800a6;
+        public static final int title_activity_decryption_result=0x7f0800a7;
+        public static final int title_activity_downloader=0x7f080082;
+        public static final int title_activity_encryption_certificates=0x7f08008a;
+        public static final int title_activity_encryption_result=0x7f080098;
+        public static final int title_activity_file_to_decrypt=0x7f08009f;
+        public static final int title_activity_file_to_encrypt=0x7f080091;
+        public static final int title_activity_file_to_share=0x7f080086;
+        public static final int title_activity_pdfverify_result=0x7f0800aa;
+        public static final int title_activity_pkcs12_to_decrypt=0x7f0800a1;
+        public static final int title_activity_select_certificate_to_encrypt=0x7f080094;
+        public static final int title_activity_tibisay_movil=0x7f080081;
+        public static final int title_certificate_info=0x7f080077;
+        public static final int title_pkcs12_password=0x7f0800a4;
+        public static final int title_progress_file_read=0x7f08005d;
+        public static final int title_signer_info=0x7f080075;
         /**  Values for the contentDescription attribute of widgets 
          */
-        public static final int type=0x7f080043;
-        public static final int unsigned2=0x7f080038;
-        public static final int verificar=0x7f08005f;
-        public static final int verificar_seleccione_archivo=0x7f080066;
-        public static final int verificar_titulo_firmae=0x7f080067;
-        public static final int verificar_titulo_lista_doc=0x7f080069;
-        public static final int verificar_titulo_lista_docs=0x7f080068;
-        public static final int verificar_titulo_lista_firmantes=0x7f08006a;
+        public static final int type=0x7f080047;
+        public static final int unsigned2=0x7f08003c;
+        public static final int verificar=0x7f080063;
+        public static final int verificar_seleccione_archivo=0x7f08006a;
+        public static final int verificar_titulo_firmae=0x7f08006b;
+        public static final int verificar_titulo_lista_doc=0x7f08006d;
+        public static final int verificar_titulo_lista_docs=0x7f08006c;
+        public static final int verificar_titulo_lista_firmantes=0x7f08006e;
     }
     public static final class style {
Index: TibisayMovil/project.properties
===================================================================
--- TibisayMovil/project.properties	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/project.properties	(revision 0d4fa206af09c06414922191a770ca027a9e7a4f)
@@ -13,3 +13,2 @@
 # Project target.
 target=android-14
-android.library.reference.1=../../../droidtext/droidText
Index: TibisayMovil/res/values/strings.xml
===================================================================
--- TibisayMovil/res/values/strings.xml	(revision e68708b200db1b970f54b28dccea6c4cc20e8c85)
+++ TibisayMovil/res/values/strings.xml	(revision 2ff9cecf77319e9047db41bbba9d55aa15e8ecc6)
@@ -52,4 +52,8 @@
     <string name="issuer">Emisor</string>
     <string name="files_to_sign">Documentos que firmará</string>
+    <string name="errorformat">Error: Formato de imagen no aceptado</string>
+    <string name="errorsize">Error: Archivo demasiado extenso. Mayor a</string>
+    <string name="errordimension">Error: Imagen mayor a</string>
+    <string name="preference_image_summary">Selecciona una imagen de firma</string>
     <string name="ERROR_CHAIN_RESULT">No se pudo construir la cadena de confianza del certificado.</string>
     <string name="GOOD_UNTRUSTED_RESULT">No se pudo comprobar la validez del certificado. Respuesta del servidor errónea.</string>
Index: TibisayMovil/res/xml/preferences.xml
===================================================================
--- TibisayMovil/res/xml/preferences.xml	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/res/xml/preferences.xml	(revision 2ff9cecf77319e9047db41bbba9d55aa15e8ecc6)
@@ -1,14 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <PreferenceScreen
     xmlns:android="http://schemas.android.com/apk/res/android">
-    <PreferenceCategory android:title="Categoría 1">
-        <CheckBoxPreference
-            android:key="opcion1"
-            android:title="Preferencia 1"
-            android:summary="Descripción de la preferencia 1" />
-        <EditTextPreference
-            android:key="opcion2"
-            android:title="Preferencia 2"
-            android:summary="Descripción de la preferencia 2"
-            android:dialogTitle="Introduce valor" />
-    </PreferenceCategory>
+    
+    
+    
+		<Preference 
+		    android:key="image"
+    	    android:title="@string/preference_image"
+    	    android:summary="@string/preference_image_summary">
+  		</Preference>
+    
+    
 </PreferenceScreen>
+    
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FilesToPDFSignActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FilesToPDFSignActivity.java	(revision 931bb65108ab04a85ac1c38c38f0d0ee728dcb6c)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FilesToPDFSignActivity.java	(revision 2ff9cecf77319e9047db41bbba9d55aa15e8ecc6)
@@ -269,5 +269,5 @@
             //Si es un directorio el seleccionado se hace un llamado del fileBrowser del directorio
             if (item.isDirectory()) {
-                parent.setAdapter(FilesToPDFSignActivity.this.listAdapter = new FileListAdapter(item.getAbsolutePath()));
+                parent.setAdapter(FilesToPDFSignActivity.this.listAdapter = new FileListAdapter(item.getAbsolutePath(), filterMImeType));
             } else { // Si es un archivo
             	
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/PreferencesActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/PreferencesActivity.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/PreferencesActivity.java	(revision 2ff9cecf77319e9047db41bbba9d55aa15e8ecc6)
@@ -1,12 +1,176 @@
 package ve.gob.cenditel.tibisaymovil;
+import java.io.File;
+
+import android.content.Intent;
+import android.content.SharedPreferences;
+import android.database.Cursor;
+import android.graphics.Bitmap;
+import android.graphics.BitmapFactory;
+import android.net.Uri;
 import android.os.Bundle;
+import android.preference.ListPreference;
+import android.preference.Preference;
+import android.preference.Preference.OnPreferenceChangeListener;
+import android.preference.Preference.OnPreferenceClickListener;
 import android.preference.PreferenceActivity;
+import android.provider.MediaStore;
+import android.view.Window;
+import android.widget.Toast;
 
-public class PreferencesActivity extends PreferenceActivity {
+public class PreferencesActivity extends PreferenceActivity implements OnPreferenceClickListener,OnPreferenceChangeListener{
+	
+	static final int PICK_IMAGE = 33;
+	public static final String imageKey = "image";
+	public static final String positionKey = "position";
+	private static final int MAXWIDTH = 400;
+	private static final int MAXHEIGHT = 400;
+	private static final long SIZELIMIT = 1024 * 1024;
+	
+	private SharedPreferences options;
+	private Preference imagePreference;
+	
     @Override
     public void onCreate(Bundle savedInstanceState) {
+		//Estilando la barra de titulo
+		final boolean customTitleSupported = requestWindowFeature(Window.FEATURE_CUSTOM_TITLE);
+
         super.onCreate(savedInstanceState);
- 
+
         addPreferencesFromResource(R.xml.preferences);
+        
+        this.options = this.getPreferenceManager().getSharedPreferences();
+        
+        
+
+        
+        this.imagePreference = (Preference) findPreference(PreferencesActivity.imageKey);
+        this.imagePreference.setOnPreferenceClickListener(this);
+        this.imagePreference.setOnPreferenceChangeListener(this);
+        
+        this.loadSummary();
+        
+
+        //Estilando Barra de titulo
+		if(customTitleSupported)
+			getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.title_bar);
+        
     }
+    
+	private void loadSummary() {
+	    String path = options.getString(PreferencesActivity.imageKey, "");
+        if (!path.equals("")){
+        	this.imagePreference.setSummary(path);
+        }
+        
+	}
+
+    
+    
+    @Override
+	public boolean onPreferenceChange(Preference preference, Object newValue) {
+    	  String summary="";
+       	  
+    	  
+    	  if (summary!=null && !summary.equals("")){
+    		  preference.setSummary((CharSequence) summary);
+		  	  
+		  }
+    	  return true;
+	}
+
+
+	
+	@Override
+	public boolean onPreferenceClick(Preference preference) {
+		
+		if (preference.getKey().equals(PreferencesActivity.imageKey)){
+				Intent i = new Intent(
+				Intent.ACTION_PICK, android.provider.MediaStore.Images.Media.EXTERNAL_CONTENT_URI);
+				startActivityForResult(i, PreferencesActivity.PICK_IMAGE);
+				return true;
+		}
+		return false;
+	}
+    
+	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
+	     super.onActivityResult(requestCode, resultCode, data);
+	     
+	     
+	     if (requestCode == PreferencesActivity.PICK_IMAGE && resultCode == RESULT_OK){
+	    	 
+	    	 Uri selectedImage = data.getData();
+	         String[] filePathColumn = { MediaStore.Images.Media.DATA };
+	 
+	         Cursor cursor = getContentResolver().query(selectedImage,filePathColumn, null, null, null);
+	         cursor.moveToFirst();
+	 
+	         int columnIndex = cursor.getColumnIndex(filePathColumn[0]);
+	         String imageSelectedPath = cursor.getString(columnIndex);
+	         cursor.close();
+	         
+	         //Filter images if wrong format.
+	         boolean validImage = this.validateImage(imageSelectedPath);
+	         
+	    	 if (validImage==true){
+	    		 //Save and edit summary text in user interface.
+	    		SharedPreferences.Editor editor = this.options.edit();
+	         	editor.putString(PreferencesActivity.imageKey, imageSelectedPath);
+	         	editor.commit();
+	         	this.imagePreference.setSummary(imageSelectedPath);
+	    	 }
+	         
+	     
+	  
+	     }
+
+	     
+	     
+	     
+	}
+
+	//Check image dimensions and format.
+	private boolean validateImage(String imageSelectedPath) {
+		File f = new File(imageSelectedPath);
+		long size = f.length();
+
+		if (size <= (PreferencesActivity.SIZELIMIT)) {
+			
+			Bitmap chosenImage = BitmapFactory.decodeFile(imageSelectedPath);
+			
+			if (chosenImage !=null)
+				return this.checkDimensions(chosenImage);
+			else{
+				Toast.makeText(this, this.getString(R.string.errorformat),Toast.LENGTH_SHORT).show();
+				return false;
+			}
+
+		} else {
+			Toast.makeText(this, this.getString(R.string.errorsize)+" "+(PreferencesActivity.SIZELIMIT)/(1024*1024)+"MB",Toast.LENGTH_SHORT).show();
+			return false;
+		}
+		
+		
+		
+	}
+
+
+	private boolean checkDimensions(Bitmap chosenImage) {
+
+		int width = chosenImage.getWidth();
+		int height = chosenImage.getHeight();
+
+		if (width <= PreferencesActivity.MAXWIDTH && height <= PreferencesActivity.MAXHEIGHT) {
+			return true;
+			
+		} else {
+
+			Toast.makeText(	this,this.getString(R.string.errordimension) +" "+ PreferencesActivity.MAXWIDTH
+							+ "x" + PreferencesActivity.MAXHEIGHT,Toast.LENGTH_SHORT).show();
+			return false;
+		}		
+	}
+
+
+	
+
 }
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/SignActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/SignActivity.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/SignActivity.java	(revision 2ff9cecf77319e9047db41bbba9d55aa15e8ecc6)
@@ -34,4 +34,5 @@
 
 
+import com.lowagie.text.exceptions.InvalidPdfException;
 // prueba de droidtext
 import com.lowagie.text.pdf.*;
@@ -287,12 +288,13 @@
                 		  }
                 		});
-                
-                } catch (Exception e) {
-                	final Activity act = ((Activity) this.context);
-                  	Toast.makeText(act, "exception", Toast.LENGTH_SHORT).show();
-                    FsUtils.checkOutOfSpace(e, true);
-                    this.cancel(true);
-                    //throw new RuntimeException(e);
-                } 
+                } catch (InvalidPdfException e) {
+                   	//empty                
+	            } catch (Exception e) {
+	            	final Activity act = ((Activity) this.context);
+	              	Toast.makeText(act, "exception", Toast.LENGTH_SHORT).show();
+	                FsUtils.checkOutOfSpace(e, true);
+	                this.cancel(true);
+	                //throw new RuntimeException(e);
+	            } 
                 
                 
